<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width,initial-scale=1">
	<title>Shop</title>
	<!-- Favicon icon -->
	<link rel="icon" type="image/png" sizes="16x16" href="./images/favicon.png">
	<link href="/vendor/bootstrap-select/dist/css/bootstrap-select.min.css" rel="stylesheet">
	<link href="/css/style.css" rel="stylesheet">
	<script src="https://unpkg.com/cart-localstorage@1.1.4/dist/cart-localstorage.min.js" type="text/javascript"></script>
    <link rel="stylesheet" href="https://earthchie.github.io/jquery.Thailand.js/jquery.Thailand.js/dist/jquery.Thailand.min.css">
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    
</head>
<style>
	input::-webkit-outer-spin-button,
	input::-webkit-inner-spin-button {
		-webkit-appearance: none;
		margin: 0;
	}
</style>
<body>

	<!--*******************
        Preloader start
    ********************-->
	<div id="preloader">
		<div class="sk-three-bounce">
			<div class="sk-child sk-bounce1"></div>
			<div class="sk-child sk-bounce2"></div>
			<div class="sk-child sk-bounce3"></div>
		</div>
	</div>
	<!--*******************
        Preloader end
    ********************-->


	<!--**********************************
        Main wrapper start
    ***********************************-->
	<div id="main-wrapper">


		<!--**********************************
            Content body start
        ***********************************-->
		<!-- <div class=""> -->

		<div class="container-fluid" style="max-width: 800px;">
			<div class="row page-titles mx-0 ">
				<div class="col-sm-6 p-md-0">
					<div class="welcome-text">
						<a href="/shop/?shop=<%= Shop_code %>" style="font-size: 30px; color:#93b83d ;"><i class="fa fa-chevron-circle-left" aria-hidden="true"></i></a>
					</div>
				</div>
				<div class="col-sm-6 p-md-0 justify-content-sm-end mt-2 mt-sm-0 d-flex">
					<ol class="breadcrumb">

						<a  class="btn btn-success sharp ml-2" style="color:white" onclick="scrollToCart()">
							<i class="fa fa-shopping-cart" id="showQty" aria-hidden="true"></i>
						</a>
					</ol>
				</div>
			</div>

			<div class="row">
				<div class="col-lg-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-xl-6 ">
									<% let i = 1%>
									<% Product_details.img_link.forEach(element =>{%>
									<div class="mySlides">
										<div class="numbertext"><%= i %> / <%=Product_details.img_link.length %></div>
										<img src="http://128.199.100.251:1001/<%=element.img%>" style="width:100%">
									</div>
										<% i++ %>
									<%})%>

									<!-- Next and previous buttons -->
									<a class="prev" onclick="plusSlides(-1)">&#10094;</a>
									<a class="next" onclick="plusSlides(1)">&#10095;</a>

									<!-- Image text -->
									<!-- <div class="caption-container">
										<p id="caption"></p>
									</div> -->

									<!-- Thumbnail images -->
									<div class="row">
										<% let k = 1%>
										<% Product_details.img_link.forEach(element =>{%>
											<div class="column">
												<img class="demo cursor" src="http://128.199.100.251:1001/<%=element.img%>" style="width:100%"
													onclick="currentSlide('<%=k%>')" alt="The Woods">
											</div>
											<% k++ %>
										<%})%>
									</div>
								</div>
								<!--Tab slider End-->
								<div class="col-xl-6 col-sm-12">
									<div class="product-detail-content">
										<!--Product details-->
										<div class="new-arrival-content pr">
											<h3>🌱<%= Product_details.promotion_name %>🌱</h3>
											<h5 class="price-shop"><span class="badge badge-success light mr-2"
													style="font-size: 16px; padding: 0px 10px 0px 10px;"><s>฿<%=Product_details.price%></s></span>฿<%=Product_details.price_sale%>
											</h5>
											<p>Availability : <span class="item"> In stock <i
														class="fa fa-shopping-basket"></i></span>
											</p>
											<p>Brand : <span class="item">Lish Thailand</span></p>
											<div class="px-0 col-6 mt-3">
													<div class="row px-0 mt-2 text-center">
														<div class="col-4">
															<a class="btn btn-primary btn-sm" onclick="DelQty('<%=Product_details.promotion_code%>',1,1)" style="color: white;">-</a>
														</div>
														<div class="col-4" style="padding: 0px;">
															<input type="number" class="form-control" id="<%=Product_details.promotion_code%>" name="01" value="0" onblur="getvalue('<%=Product_details.promotion_code%>')" style="text-align: center;">
														</div>
														<div class="col-4" style="padding: 0px;">
															<a class="btn btn-primary btn-sm" onclick="AddQuantity('<%=Product_details.promotion_code%>',1,1)" style="color: white;">+</a>
														</div>
													</div>
											</div>
											<div class="shopping-cart mt-3">
												<button  type="button"
													class="btn btn-rounded btn-outline-primary btn-md" onclick="addToCart('<%=Product_details.promotion_code%>')"><i
														class="fa fa-shopping-basket mr-2"></i>เพิ่มไปยังรถเข็น</button>
												<button type="button"
													class="btn btn-rounded btn-primary btn-md" onclick="scrollToBuy('<%=Product_details.promotion_code%>')">ซื้อสินค้า</button>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-body">
							<div class="row">
								<div class="col-6 profile-info p-0">
									<div class="profile-photo">
										<a href="/shop/?shop=<%= Shop_code %>"><img src="http://128.199.100.251:1001/<%= Img_pf %>" class="img-fluid rounded-circle" alt=""
											width="80px"></a>
									</div>
									<div class="profile-details">
											<div class="profile-name px-3 pt-3">
												<a href="/shop/?shop=<%= Shop_code %>"><h4 class="mb-0"><%= ShopName  %></h4></a>
											</div>
											
									</div>
								</div>
								<div class="col-6 text-right px-3 pt-3">
									<a href="/shop/?shop=<%= Shop_code %>"><span class="light btn btn-rounded btn-success"
										style="font-size: 16px; padding: 3px 13px 3px 13px;">ไปหน้าร้านค้า <i class="fa fa-home" aria-hidden="true"></i></span></a>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-body">
							<h4 class="mb-4">รายละเอียดสินค้า</h4>
							<h6 id="description"></h6>
						</div>
					</div>
				</div>
			</div>
			<div class="row">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-body">
							<h4>More for you</h4>
							<div class="row mt-3">
								<% let l = 0 %>
								<% Product_Other.forEach(element => { %>
									<% if( l < 3){%>
									<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-6">
										<a href="/shop/productdetail/?id=<%= element.promotion_code %>&shop=<%= Shop_code %>">
										<div class="new-arrival-product">
											<div class="new-arrivals-img-contnent">
												<img class="img-fluid" src="http://128.199.100.251:1001/<%= element.img_link[0].img%>" alt="">
											</div>
											<div class="new-arrival-content mt-1">
												<div style="max-height: 40px;">
													<h4><%= element.promotion_name %></h4>
												</div>
												<span class="price">฿<%= element.price_sale %></span>
											</div>
										</a>
											<div class="row px-0 mt-2 text-center">
												<div class="col-4">
													<a class="btn btn-primary btn-sm" onclick="DelQty('<%=element.promotion_code%>',1,1);" style="color: white;">-</a>
												</div>
												<div class="col-4" style="padding: 0px;">
													<input type="number" class="form-control" id="<%= element.promotion_code %>" name="01" value="0" onblur="ChangeValue('<%=element.promotion_code%>',this.value,2)" style="text-align: center;">
												</div>
												<div class="col-4" style="padding: 0px;">
													<a class="btn btn-primary btn-sm" onclick="AddQty('<%=element.promotion_code%>',1,1)" style="color: white;">+</a>
												</div>
											</div>
										</div>
									</div>
									<%l++%>
									<%}%>
								<%})%>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row" id="Cart">
				<div class="col-xl-12">
					<div class="card">
						<div class="card-header">
							<h4 class="card-title">รถเข็นสินค้า</h4>
						</div>
						<div class="card-body">
							<!-- แสดงข้อมูลในตระกร้าสินค้า -->
							<table class="table">
								<tbody class="cart">
								</tbody>
								<tfoot>
									<td class="text-right" colspan="5" style="font-size: 18px;">ยอดรวม : <strong class="total" style="color: #93b83d; font-size: 25px;"></strong></td>
									<td></td>
								</tfoot>
							</table>
						</div>
					</div>
				</div>
			</div>
			<div class="row" id="#Cart">
				<div class="col-12">
					<div class="card">
						<div class="card-header" id="buyorder">
							<h4 class="card-title">ที่อยู่ผู้รับ</h4>
						</div>
						<div class="card-body">
							<div class="basic-form">
								<form>
									<div class="row">
										<div class="col-6">
											<span> ชื่อ-นามสกุล </span>
											<input class="form-control" type="text" autocomplete="off" id="FnameLname" value="<%=DataSession.Name%> ">
										</div>
										<div class="col-6">
											<span> เบอร์โทร </span>
											<input class="form-control" type="text" autocomplete="off" id="NumberPhone" value="<%=DataSession.NumberPhone%>">
										</div>
										<div class="mt-1 col-12">
											<span class="input-group">ที่อยู่</span>
											<input class="form-control " type="text" autocomplete="off" id="Address" value="<%=DataSession.Address%>">
										</div>
										<div class="mt-2 col-6">
											<span class="input-group">ตำบล / แขวง</span>
											<input id="district"  type="text" class="form-control"value="<%=DataSession.District%>">
										</div>	
										<div class="mt-2 col-6">
											<span class="input-group">อำเภอ / เขต</span>
											<input id="amphoe"  type="text" class="form-control" value="<%=DataSession.Amphoe%>">
										</div>
										<div class="mt-2 col-6">
											<span class="input-group">จังหวัด</span>
											<input class="form-control " type="text"  id="province" value="<%=DataSession.Province%>">
										</div>
										<div class="mt-2 col-6">
											<span class="input-group">รหัสไปรษณีย์</span>
											<input class="form-control " type="text"  id="postcode" value="<%=DataSession.Postcode%>">
										</div>
										<div class="mt-2 col-12">
											<span class="input-group">อีเมล</span>
											<input class="form-control " type="text" id="Email" value="<%=DataSession.Email%>">
										</div>
									</div>
									<h4 class="mt-2">การชำระเงิน</h4>
									<hr />
									<div class="row mt-2 mb-2">
										<div class="col-12">
											<% if(Status_cod == 1){%>
												<div class="form-check">
													<input class="form-check-input" type="radio" name="option1"
														value="option1" id="option1">
													<label class="form-check-label" for="option1">
														เก็บเงินปลายทาง
														<img src="https://www.xfitwatch.com/order/assets/img/icon_cod.jpg">
													</label>
												</div>
												<%}if(Status_Bank == 1){%>
												<div class="form-check">
													<input class="form-check-input" type="radio" name="option1"
														value="option2" id="option2">
													<label class="form-check-label" for="option2">
														โอนเงิน
														<img src="https://www.xfitwatch.com/order/assets/img/icon_bank.jpg">
													</label>
												</div>
												<%}if(Status_credit == 1){%>
												<div class="form-check">
													<input class="form-check-input" type="radio" name="option1"
														value="option3" id="option3">
													<label class="form-check-label" for="option3">
														บัตรเครดิต/บัตรเดบิต
														<img src="https://affiliate.awbg.co.th/images/credit.png"
															width="140 px" height="30px">
													</label>
												</div>
												<%}%>
										</div>
									</div>
									<hr />
									<div class="row">
										<div class="col-12 mt-2">
											<div class="form-check">
												<input class="form-check-input" type="checkbox" checked>
												<label class="form-check-label">
													ฉันต้องการรับสิทธิพิเศษและโปรโมชั่น รวมถึงข่าวสาร จาก Lish Thailand
													ตามที่ระบุไว้ใน นโยบายความเป็นส่วนตัว
												</label>
											</div>
										</div>
										<button type="button"
											class="btn btn-rounded btn-primary col-12 mt-2" onclick="BuyProduct()">ส่งคำสั่งซื้อ</button>
									</div>
								</form>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- </div> -->
		<!--**********************************
            Content body end
        ***********************************-->


		<!--**********************************
            Footer start
        ***********************************-->
		<div class="text-center">
			<div class="copyright">
				<p>Copyright © by <a href="" target="_blank">Lish
						Thailand</a> 2022</p>
			</div>
		</div>
		<!--**********************************
            Footer end
        ***********************************-->

		<!--**********************************
           Support ticket button start
        ***********************************-->

		<!--**********************************
           Support ticket button end
        ***********************************-->


	</div>
	<!--**********************************
        Main wrapper end
    ***********************************-->

	<!--removeIf(production)-->

	<!--**********************************
        Scripts
    ***********************************-->
		<!-- Required vendors -->
		<script src="/vendor/global/global.min.js"></script>
		<script src="/vendor/bootstrap-select/dist/js/bootstrap-select.min.js"></script>
		<script src="/vendor/chart.js/Chart.bundle.min.js"></script>
		<script src="/js/custom.min.js"></script>
		<script src="/js/deznav-init.js"></script>
		<!-- Apex Chart -->
		<script src="/vendor/apexchart/apexchart.js"></script>
		<!-- Axios -->
		<script src="https://cdn.jsdelivr.net/npm/axios@1.1.2/dist/axios.min.js"></script>
		<!-- Auto Complate -->
		<!--  END CUSTOM SCRIPTS FILE  -->
		<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/uikit/3.0.0-beta.20/js/uikit.min.js"></script>
		<script type="/text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/zip.js/zip.js"></script>
		<!-- / dependencies for zip mode -->
		<script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/JQL.min.js"></script>
		<script type="text/javascript" src="/assets/js/jquery.Thailand.js/dependencies/typeahead.bundle.js"></script>
		<script type="text/javascript" src="/assets/js/jquery.Thailand.js/dist/jquery.Thailand.min.js"></script>
	<script>
		var TotalQty = 0;
		$(document).ready(function (){
			let mess = '<%= Detail %>'
			mess = mess.replace(/\n/g,'<br>')
			let str = JSON.stringify(mess)
			str = JSON.parse(str)
			document.getElementById('description').innerHTML = str
		})
        $.Thailand({
            database: '/assets/js/jquery.Thailand.js/database/geodb.json', 
            $district: $('#district'),
            $amphoe: $('#amphoe'),
            $province: $('#province'),
            $zipcode: $('#postcode'),
            // onDataFill: function(data){
            //     console.info('Data Filled', data);
            // },
            // onLoad: function(){
            //     console.info('Autocomplete is ready!');
            //     $('#loader, .demo').toggle();
            // }
        });
		function renderCart(items) {
			var TotalCartQrt = 0;
            const $cart = document.querySelector(".cart")
            const $total = document.querySelector(".total")
            $cart.innerHTML = items.map((item) =>
                `
                <tr>
                    <td class="mt-2">${item.name}</td>
                    <td style="width: 20px;"> 
                      <button type="button" class="btn btn-block btn-sm btn-outline-primary"
                        onClick="DelQty('${item.id}',1,1)">-</button>
                    </td>
                    <td class="text-center" style="margin-top:20px;">${item.quantity}</td>
                    <td style="width: 20px;"> 
                      <button type="button" class="btn btn-block btn-sm btn-outline-primary"
                        onClick="AddQty('${item.id}',1,1)">+</button>
                    </td>
                    <td class="text-right" style="margin-top:20px;">฿${item.quantity * item.price}</td>
					<td></td>
                </tr>`

            ).join("")

			for(let i = 0; i < items.length; i++) {
				TotalCartQrt += items[i].quantity
			}
			

			if(items.length >= 0){
				let total = 0 
				//total += item.quantity
				axios.post('/shop/return',{Count:TotalCartQrt}).then((result)=>{
					//console.log(result);
					if(result.data.Count > 0){
						document.getElementById("showQty").innerHTML = " " + result.data.Count
					}else{
						document.getElementById("showQty").innerHTML = " "
					}
				})
			}
            $total.innerHTML = "฿" + cartLS.total()
        }
        // console.log(cartLS.list())
		var Cart = cartLS.list();
        Cart.map((item)=>{
            let Id = item.id
			$(`#${Id}`).val(item.quantity)
        }) 
        renderCart(cartLS.list())
        cartLS.onChange(renderCart)
	</script>
	<script>
		function getvalue(Id){
			let ProductQty = $(`#${Id}`).val()
			if(ProductQty == '' || ProductQty == NaN){
				$(`#${Id}`).val(0)
			}
		}
		function ChangeValue(Id,value,type){
			//console.log(Id, value,type);
			if(type == 2){
				let ProductQty = $(`#${Id}`).val()
				let count_value = parseInt(value)
				let CartQty = document.getElementById('showQty')
				if(count_value <= 0 || count_value == '' || ProductQty == NaN || ProductQty == ''){
					if(count_value == 0){
						cartLS.remove(Id)
					}else if(cartLS.list().length == 0){
						$(`#${Id}`).val(0)
					}else{
						$(`#${Id}`).val(cartLS.get(Id).quantity)
					}
				}else{
					$(`#${Id}`).val(count_value).change()
				}
				for(let i = 0; i < count_value; i++){
					product_promotion.forEach((element)=>{
						if(cartLS.get(Id) == undefined){
							if(Id == element.promotion_code){
								cartLS.add({id: element.promotion_code,name:`${element.promotion_name}`,price:parseInt(element.price_sale),shop:'<%= Shop_code  %>'});
							}
						}else{
							cartLS.update(Id,'quantity',count_value)
						}
					})
				}
			}
		}
		let slideIndex = 1;
		showSlides(slideIndex);

		// Next/previous controls
		function plusSlides(n) {
			showSlides(slideIndex += n);
		}

		// Thumbnail image controls
		function currentSlide(n) {
			let v = parseInt(n)
			showSlides(slideIndex = v);
		}

		function showSlides(n) {
			let i;
			let slides = document.getElementsByClassName("mySlides");
			let dots = document.getElementsByClassName("demo");
			let captionText = document.getElementById("caption");
			if (n > slides.length) { slideIndex = 1 }
			if (n < 1) { slideIndex = slides.length }
			for (i = 0; i < slides.length; i++) {
				slides[i].style.display = "none";
			}
			for (i = 0; i < dots.length; i++) {
				dots[i].className = dots[i].className.replace(" active", "");
			}
			slides[slideIndex - 1].style.display = "block";
			dots[slideIndex - 1].className += " active";
			captionText.innerHTML = dots[slideIndex - 1].alt;
		}
	
	</script>
    <script>
		let product_promotion = []
		$(document).ready(function (){
			'<% Product_Other.forEach(element =>{ %>'
				product_promotion.push({promotion_code: '<%=element.promotion_code%>' , promotion_name: '<%=element.promotion_name%>',price_sale:'<%=element.price_sale%>'})
			'<%})%>'
			product_promotion.push({promotion_code: '<%=Product_details.promotion_code%>' , promotion_name: '<%=Product_details.promotion_name%>',price_sale:'<%=Product_details.price_sale%>'})
			//console.log(product_promotion);
		})
		function AddQuantity(Id,quantity,type){
			let Total_qty = 0
            let ProductQty = $(`#${Id}`).val()
            if(ProductQty < 0 || ProductQty == ''){
                $(`#${Id}`).val(0)
            }
            if(ProductQty >= 0){
                if(type == 1){
                    ProductQty = parseInt(ProductQty)+ 1
                    $(`#${Id}`).val(parseInt(ProductQty));
                    Total_qty = quantity
                }
            }
		}
		function DelQty(Id,quantity,type){
            let ProductQty = $(`#${Id}`).val();
            ProductQty = parseInt(ProductQty) - parseInt(quantity)
            $(`#${Id}`).val(parseInt(ProductQty)).change()

            if($(`#${Id}`).val() < 0 ){
                $(`#${Id}`).val(0).change()
            }
            if(type == 1){
				cartLS.quantity(Id,-1);
		}
        }
		async function addToCart(Id){
			let ProductQty = $(`#${Id}`).val()
			let i = 0;
			let j = 0;
			if(ProductQty == 0){
				Swal.fire('กรุณาเพิ่มจำนวนสินค้า','','warning')
			}else{
				if(cartLS.list().length != 0){
					cartLS.remove(Id)
				}
				while (i<ProductQty){
					await cartLS.add({id:'<%=Product_details.promotion_code%>',name:'<%=Product_details.promotion_name%>',price:parseInt('<%=Product_details.price_sale%>'),quantity:ProductQty,shop:'<%= Shop_code %>'});
					i++;
				}
				renderCart(cartLS.list())
				cartLS.onChange(renderCart)
			}
		}
		function AddQty(Id,quantity,type){
            //console.log(Id);
            let Total_qty = 0
            let ProductQty = $(`#${Id}`).val()
            if(ProductQty < 0 || ProductQty == ''){
                $(`#${Id}`).val(0)
            }
            if(ProductQty >= 0){
                if(type == 1){
                    ProductQty = parseInt(ProductQty)+ 1
                    $(`#${Id}`).val(parseInt(ProductQty));
                    Total_qty = quantity
                }
            }
			product_promotion.forEach(element => {
				if(Id == element.promotion_code ){
					cartLS.add({id: element.promotion_code,name:`${element.promotion_name}`,price:parseInt(element.price_sale),shop:'<%= Shop_code %>'});
				}
			})
			
        }
		function BuyProduct(){
            let check = true
			var cartlist = cartLS.list()
			let CheckRadio = {COD:0,BANK:0,CREDIT:0}
            //console.log(Cart);
			//console.log(document.getElementById('option3'));
            if(($('#FnameLname').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกชื่อ-นามสกุล','','warning')}
            else if(($('#NumberPhone').val()).trim() == '' || $('#NumberPhone').val().length < 9 || $('#NumberPhone').val().length > 10){check = false;Swal.fire('กรุณากรอกเบอร์ให้ถูกต้อง','','warning')}
            else if(($('#Address').val()).trim() == '' || ($('#district').val()).trim() == '' || ($('#amphoe').val()).trim() == '' ||
            ($('#province').val()).trim() == '' || ($('#postcode').val()).trim() == ''){check = false;Swal.fire('กรุณากรอกที่อยู่ให้ถูกต้อง','','warning')}
			else if((document?.getElementById('option1')?.checked || false) == false && (document?.getElementById('option2')?.checked || false) == false && (document?.getElementById('option3')?.checked || false) == false){
				check = false
				Swal.fire('กรุณาเลือกการชำระเงิน','','warning')
			}else if(cartlist.length == 0){
				check = false
				Swal.fire('กรุณาเลือกสินค้า','','warning')
			}
			if(check){
				if(document.getElementById('option1').checked){
					CheckRadio.COD = 1
					CheckRadio.BANK = 0
					CheckRadio.CREDIT = 0
				}
				else if(document.getElementById('option2').checked){
					CheckRadio.COD = 0
					CheckRadio.BANK = 1
					CheckRadio.CREDIT = 0
				}
				else if(document.getElementById('option3').checked){
					CheckRadio.COD = 0
					CheckRadio.BANK = 0
					CheckRadio.CREDIT = 1
				}
                let data = new FormData()
                data.append("Name",($('#FnameLname').val()).trim())
                data.append("NumberPhone",($('#NumberPhone').val()).trim())
                data.append("Address",($('#Address').val()).trim())
                data.append("district",($('#district').val()).trim())
                data.append("amphoe",($('#amphoe').val()).trim())
                data.append("province",($('#province').val()).trim())
                data.append("postcode",($('#postcode').val()).trim())
                data.append("Email",($('#Email').val()).trim())
                data.append("COD",CheckRadio.COD)
                data.append("BANK",CheckRadio.BANK)
                data.append("CREDIT",CheckRadio.CREDIT)
				data.append("Shop",'<%= Shop_code %>')
                axios.post('/shop/keep_info',{Data:Object.fromEntries(data),Cart:cartlist,CheclRadio:CheckRadio}).then((result)=>{
                    if(result.data.Message == 'Success'){
                        window.location = '/shop/confirm_order'
                    }
                })

            }
        }   
	</script>
	<script>
        const scrollToCart = () => {
            let Present = document.getElementById('Cart')
            //console.log(Present);
            var rect = Present.getBoundingClientRect()
            window.scrollTo(rect.x, rect.y);
        }
		const scrollToBuy = (Id) =>{
			let Present = document.getElementById('buyorder')
            var rect = Present.getBoundingClientRect()
            window.scrollTo(rect.x, rect.y);
			addToCart(Id)
			
		}
    </script>






</body>

</html>